<?php
/**
 * Template part for displaying results in search pages.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Insights
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
    <div class="twp-article-wrapper">
        <header class="entry-header article-header">
            <?php if ( 'post' === get_post_type() ) : ?>
                <div class="post-category">
                    <span>
                        <?php insights_entry_category(); ?>
                    </span>
                </div>
                <a href="<?php the_permalink(); ?>">
                    <?php the_title( '<h1 class="entry-title">', '</h1>' ); ?>
                </a>
            <div class="entry-meta">
                <?php insights_posted_details(); ?>
            </div><!-- .entry-meta -->
            <?php endif; ?>
        </header><!-- .entry-header -->
        <div class="entry-summary">
            <?php
            the_excerpt();
                    
            $read_more_text = esc_html__('Continue Reading','insights');
            if ( ! empty( $read_more_text ) ) {
                $output = ' <a href="'. esc_url( get_permalink() ) . '" class="read-more">' . esc_html( $read_more_text ) . '<i class="ion-ios-arrow-right read-more-right"></i>' . '</a>';
                $output = apply_filters( 'insights_filter_read_more_link' , $output );
            }
            echo $output;
            ?>
        </div><!-- .entry-summary -->
    </div>
</article><!-- #post-## -->
